import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_ParentPath
console.log(basePath)
export default {
  login(query) {
    return micro_request.postRequest(basePath, 'Auth', 'Login', query)
  },
  logout(query) {
    return micro_request.postRequest(basePath, 'Auth', 'LogOut', query)
  },
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'GetList', query)
  },
  //区域列表
  getTree(query) {
    return micro_request.postRequest(basePath, 'District', 'GetList', query)
  },
  //省市区列表
  getProvinceInfo(query) {
    return micro_request.postRequest(basePath, 'District', 'GetProvinceInfo', query)
  },
  //创建经销商
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'Create', query)
  },
}
